# Class ArrowLinesLayer

java.lang.Object
com.codename1.maps.layers.AbstractLayer
com.codename1.maps.layers.LinesLayer
com.codename1.maps.layers.ArrowLinesLayer

All Implemented Interfaces:
  `Layer`

public class ArrowLinesLayer extends LinesLayer
This class is responsible for painting arrows that indicates direction of walk on map.

- ## Field Summary

  ### Fields inherited from class LinesLayer

  `_lineColor`
  Modifier and Type
  Field
  Description
  `protected int`
  `_lineColor`

  ### Fields inherited from class AbstractLayer

  `name, projection`
  Modifier and Type
  Field
  Description
  `protected final String`
  `name`
  `protected Projection`
  `projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrowLinesLayer()`
  Constructor with default projection Mercator.
  `ArrowLinesLayer(Projection p, String name)`
  Constructor with custom projection and layer name.
  `ArrowLinesLayer(String name)`
  Constructor with default projection Mercator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getArrowHeight()`
  Returns the arrow height in pixels
  `int`
  `getArrowSegmentLength()`
  Gets the arrow segment length
  `int`
  `getArrowWidth()`
  Gets the arrow width in pixels
  `protected void`
  `paintSegment(Graphics g, Coord[] segment, Tile tile)`
  Paints arrows on each segment.
  `void`
  `setArrowHeight(int arrowHeight)`
  Sets the arrow height
  `void`
  `setArrowSegmentLength(int arrowSegmentLength)`
  Sets the arrow segment length
  `void`
  `setArrowWidth(int arrowWidth)`
  Sets the arrow width

  ### Methods inherited from class LinesLayer

  `addLineSegment, boundingBox, lineColor, paint`
  Modifier and Type
  Method
  Description
  `void`
  `addLineSegment(Coord[] coords)`
  Adds a Line segment to the Layer
  `BoundingBox`
  `boundingBox()`
  The bounding box of this Layer
  `void`
  `lineColor(int rgb)`
  Sets the color of the Lines
  `void`
  `paint(Graphics g, Tile screenTile)`
  Paints the Layer on the given Graphics

  ### Methods inherited from class AbstractLayer

  `getName, getProjection`
  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the name of this Layer
  `Projection`
  `getProjection()`
  The projection of this Layer

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ArrowLinesLayer

    public ArrowLinesLayer()
    Constructor with default projection Mercator.

  - ### ArrowLinesLayer

    public ArrowLinesLayer(String name)
    Constructor with default projection Mercator.

  - ### ArrowLinesLayer

    public ArrowLinesLayer(Projection p, String name)
    Constructor with custom projection and layer name.

- ## Method Details

  - ### paintSegment

    protected void paintSegment(Graphics g, Coord[] segment, Tile tile)

    Paints arrows on each segment. arrowSegmentLength decides how many arrows will be on each segment.

    ###### Parameters

    - `g`

    - `segment`

    - `tile`

    Overrides:
      `paintSegment` in class `LinesLayer`

  - ### getArrowHeight

    public int getArrowHeight()

    Returns the arrow height in pixels

    ###### Returns

    the arrow height

  - ### setArrowHeight

    public void setArrowHeight(int arrowHeight)

    Sets the arrow height

    ###### Parameters

    - `arrowHeight`

  - ### getArrowSegmentLength

    public int getArrowSegmentLength()

    Gets the arrow segment length

    ###### Returns

    segment length

  - ### setArrowSegmentLength

    public void setArrowSegmentLength(int arrowSegmentLength)

    Sets the arrow segment length

    ###### Parameters

    - `arrowSegmentLength`: to set

  - ### getArrowWidth

    public int getArrowWidth()

    Gets the arrow width in pixels

    ###### Returns

    the arrow width

  - ### setArrowWidth

    public void setArrowWidth(int arrowWidth)

    Sets the arrow width

    ###### Parameters

    - `arrowWidth`: to set